% Apague as duas linhas abaixo (elas servem apenas para gerar um
% aviso no arquivo PDF quando não há nenhum dado a imprimir) e
% insira aqui o conteúdo do seu trabalho. Tome por base o
% arquivo corpo-apresentacao.tex do diretório conteudo-exemplo
% para a definição do título, autoria etc. e estrutura da
% apresentação.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% METADADOS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\title[The shortened title]{What Happens When The Bazaar Grows}
\subtitle{A comprehensive study on the contemporary FLOSS development}

\author[Authors Name]{Melissa Shihfan Ribeiro Wen}

%\institute[USP]{\textbf{Qualifying Examination MSc \\ Computer Science \\ IME USP}
\institute[USP]{\textbf{Qualifying Examination for MSc in Computer Science} \\ \textbf{Advisor:} Fabio Kon \\ \textbf{Co-advisor:} Paulo Meirelles}

\date{July 19, 2019}

% Coloca a imagem no fundo da página de título
%\bgimage{\includegraphics[width=\paperwidth]{}}

% Logotipos no rodapé da página de título
\logos{
  \hfil\hfil\includegraphics[width=.1\textwidth]{usp-logo}\hfil%
  %\raisebox{-.0103\paperheight}{\includegraphics[height=.0932\paperheight]{interscity-logo}}\hfil%
  \raisebox{-.033\paperheight}{\includegraphics[width=.07\textwidth,trim=0 230 0 0,clip]{ime-logo}}\hfil\hfil
}

%\logos{
%  \hfil\hfil\includegraphics[width=.1\textwidth]{usp-logo}\hfil%
%  \raisebox{-.0103\paperheight}{\includegraphics[height=.0932\paperheight]{interscity-logo}}\hfil%
%  \raisebox{-.00517\paperheight}{\includegraphics[height=.057\paperheight]{cnpq-logo}}\hfil%
%  \raisebox{-.0342\paperheight}{\includegraphics[height=.1035\paperheight]{capes-logo}}\hfil%
%  \includegraphics[height=.044\paperheight]{fapesp-logo}\hfil\hfil
%}

% Usado para criar o qrcode com o endereço da apresentação
%\presentationurl{http://interscity.org}

% Inclui o qrcode no sumário da apresentação
\includeqrcodeintoc

% O slide de sumário pode ser dividido em colunas; o parâmetro
% determina após qual o número da seção fazer a quebra de coluna
% (use zero para uma coluna ou simplesmente omita este comando).
\toccolumns{4}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%% INÍCIO DA APRESENTAÇÃO %%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% É complicado colocar uma imagem de fundo, os logos das agências e
% o conteúdo "normal" do slide de título sem que as coisas fiquem
% bagunçadas, então definimos um comando para gerar o slide de título
\customtitlepage

% Slide com o qrcode
%\showqrcode

\begin{frame}{Overview}
  \overview
\end{frame}

\section{Introduction}

\begin{frame}{Problem Outline}
  \begin{itemize}
    \item Two Antagonistic Development Model~\citep{Raymond1999}
    \begin{itemize}
      \item The Cathedral: normally used in proprietary software projects;
      \item The Bazaar: inspired in Linux development model;
    \end{itemize}
  \end{itemize}
\end{frame}

\begin{frame}{Problem Outline}
  \begin{itemize}
    \item The academic interest in the FLOSS phenomenon
    \begin{itemize}
      \item Lack of understanding of the FLOSS phenomenon~\citep{Osterlie2007};
      \item FLOSS projects and their organization mostly treated as a static phenomenon~\citep{Ducheneaut2005}.
    \end{itemize}
  \end{itemize}
\end{frame}

\begin{frame}{Problem Outline}
  \begin{itemize}
    \item Transformations on the FLOSS Ecosystems
    \begin{itemize}
      \item FLOSS lost several free software characteristics~\citep{Fitzgerald2006};
      \item FLOSS become a public product produced by the private initiative~\citep{Crowston2012};
      \item Linux development model is currently a “dictatorship supported by a chain-of-trust.”~\citep{Rigby2014};
      \item When there is the code "forkability", there is no real dictator~\citep{Fogel2005}.
    \end{itemize}
  \end{itemize}
\end{frame}

\begin{frame}[standout]
  And today, how is the Bazaar?
\end{frame}

\begin{frame}{Research Goals}
    \begin{itemize}
      \item Summarize state-of-the-art and -practice of contemporary FLOSS development models in contrast to the bazaar model;
      \item Map the current characteristics of Linux development;
      \item Mitigate bias in the understanding of the relation between the current Linux development and Bazaar model.
    \end{itemize}
\end{frame}

\begin{frame}{Research Questions}
    \begin{itemize}
      \item RQ1. How do software engineering studies and FLOSS development communities describe the current models of FLOSS development and their ties to the Linux model?
      \begin{itemize}
        \item What attributes do they use to characterize a FLOSS development model?
        \item Do the academia and the FLOSS development community use the same attributes to characterize the Linux development model?
      \end{itemize}
      \item RQ2. How to confirm the characteristics used to describe a particular FLOSS project development, exploring its different means of social interaction? How to visualize socio-technical aspects that impact the development process?
    \end{itemize}
\end{frame}

\begin{frame}{Research Strategies}[Phases]
  \begin{itemize}
  \item \textit{Phase I:} Acquaintance with data sources and research methods
%  \begin{itemize}
%    \item Review of primary and secondary studies on FLOSS phenomenon and FLOSS development
%    \item Honing skills to develop for Linux kernel
%    \item Design of the first version of the platform to collect FLOSS community data
%  \end{itemize}
  \item \textit{Phase II:} Multivocal literature review about FLOSS development
%  \begin{itemize}
%    \item Grey Literature Review
%    \item Systematic Literature Review
%    \item Coding and Synthesize Findings
%  \end{itemize}
  \item \textit{Phase III:} Ethnographic case study in the Linux project subsystems
%  \begin{itemize}
%    \item The community members' point of view
%    \item Exam of community documentation
%    \item Data analysis
%  \end{itemize}
  \item \textit{Phase IV:} Comparing findings
  \end{itemize}
\end{frame}

\begin{frame}{Expected Contributions}
  \begin{itemize}
    \item Produce a more accurate map of gaps and conflicts between theory and practice;
    \item Improve the mechanisms that support research on FLOSS ecosystems;
    \item Deliver a combination of qualitative and quantitative research strategies that could boost FLOSS ecosystems research.
  \end{itemize}
\end{frame}

\begin{frame}[standout]
  What is part of our investigation?
\end{frame}

\section{Background}

\begin{frame}{Background}[The FLOSS Phenomenon]
  \begin{itemize}
  \item FLOSS Movements
  \item FLOSS Development Models
    \begin{itemize}
    \item The Cathedral and The Bazaar
    \item The Benevolent Dictator
    \item The Consensus-Based Democracy
    \end{itemize}
  \end{itemize}
\end{frame}

\begin{frame}{Background}[The Linux Kernel Project]
  \begin{itemize}
  \item The Operating System Kernel
  \item The Development Structure and Process in Practice
    \begin{itemize}
    \item Community-based scheme
    \item Patch-oriented development process
    \item Time-based release process
    \end{itemize}
  \end{itemize}
\end{frame}

\begin{frame}[standout]
  How are we investigating them?
\end{frame}

\section{Research Design}

\begin{frame}{Research Strategies}
  \begin{itemize}
  \item Multi-method investigation
    \begin{itemize}
    \item Multivocal Literature Review
    \item Ethnographic Case Study
    \end{itemize}    
  \item Academic and Non-academic resources
    \begin{itemize}
    \item \textit{Software Informalism}~\citep{Scacchi2007}
    \end{itemize}
  \item The hybrid nature of open source development~\citep{Ducheneaut2005}
    \begin{itemize}
    \item Artifacts is central part of the building of the practitioner's identity
    \item Scanning FLOSS community networks: people and materials resources
    \end{itemize}
  \end{itemize}
\end{frame}

\begin{frame}{Research Strategies}[Work Plan]
  \includegraphics[width=\textwidth]{figure/workflow2.pdf}
\end{frame}

\begin{frame}{Research Design}[Multivocal Literature Review]
  \includegraphics[width=\textwidth]{figure/workflow_multivocal.pdf}
\end{frame}

\begin{frame}{Research Design}[Ethnographic Case Study]
  \includegraphics[width=\textwidth]{figure/workflow_ethno.pdf}
\end{frame}

\section{Current Stage}

\begin{frame}[standout]
“Contributing to the creation of an artifacts is, therefore, as much as concrete activity of production as a social act of identity building”~\citep{Ducheneaut2005}
\end{frame}

\begin{frame}{Participant Observation in Linux IIO subsystem}[Understanding Rules, Roles and Contribution Workflow]

  \begin{itemize}
  \item Setup of the Linux development environment
  \item Absorption of the contribution process and basic rules of communication
  \item Sending contributions in different settings
  \begin{itemize}
    \item Code style patch
    \item Single patch
    \item Patchset
    \item Bug Fix
    \item Co-development
    \item Patch Versioning
  \end{itemize}
  \end{itemize}
\end{frame}

\begin{frame}{Participant Observation in Linux IIO subsystem}[Table of Patches]

\begin{table}[]
\centering
\resizebox{\textwidth}{!}{\begin{tabular}{  | m{3cm} | m{7cm} | m{3cm} | m{4cm} | m{3cm} | m{3cm} |  }
\hline
\textbf{1st Version Date} & \textbf{Commit message} & \textbf{Developer(s)} & \textbf{Kind of change} & \textbf{\# Versions} & \textbf{Status} \\ \hline
Apr 2, 2019 & staging: iio: frequency: ad9834: Remove unnecessary parentheses & Melissa Wen & Code style & 1 & Merged \\ \hline
May 3, 2019 & staging: iio: ad7150: organize registers definition & Melissa Wen & Improve readability & 1 & Declined \\ \hline
May 3, 2019 & staging: iio: ad7150: use FIELD\_GET and GENMASK & Melissa Wen & Improve maintanability & 2 & Merged \\ \hline
May 3, 2019 & staging: iio: ad7150: simplify i2c SMBus return treatment & Melissa Wen & Reduce verbosity & 2 & Merged \\ \hline
May 3, 2019 & staging: iio: ad7150: clean up of comments & Melissa Wen & Improve readability & 2 & Merged \\ \hline
May 18, 2019 & staging: iio: cdc: ad7150: create of\_device\_id array & Barbara Fernandes, Wilson Sales Melissa Wen & Create missing element & 1 & Merged \\ \hline
May 18, 2019 & staging:iio:ad7150: fix threshold mode config bit & Melissa Wen & Bug fix & 1 & Merged \\ \hline
Jun 14, 2019 & staging: iio: ad7150: use ternary operating to ensure 0/1 value & Melissa Wen & Remove idiom, Make operation consistent & 1 & Merged \\ \hline
\end{tabular}%
}
\label{tab:patcheslist}

\end{table}
\end{frame}

\begin{frame}{Design of the Data Collector}
  Most FLOSS projects have a standard set of information management tools~\citep{Fogel2005, Goldman2005}:
  \begin{enumerate}
  \item Website
  \item Mailing Lists
  \item Version Control System
  \item Issue tracker
  \item IRC/ Real-time chat
  \end{enumerate}
\end{frame}

\begin{frame}{Design of the Data Collector}
  Information of interest
  \begin{itemize}
  \item General Attributes: Date-time, author(s), recipient(s), subject, kind of message;
  \item People: Profile and activity of each member
  \item Processes: Statistics about review and bug fix.
  \end{itemize}
\end{frame}

\begin{frame}{Schedule}[Proposed Schedule]
  \includegraphics[width=0.65\textwidth]{figure/schedule.png}
\end{frame}

\begin{frame}{Schedule}[Proposed Schedule]
  \includegraphics[width=0.65\textwidth]{figure/schedule_stage_1.pdf}
\end{frame}

\begin{frame}{Schedule}[Proposed Schedule]
  \includegraphics[width=0.65\textwidth]{figure/schedule_stage_2.pdf}
\end{frame}

\begin{frame}{Publications}

\begin{itemize}
\item Publications in the area of FLOSS
\begin{enumerate}
\item Wen, M., Meirelles, P., Siqueira, R., Kon, F. (2018). FLOSS project management in government-academia collaboration. In IFIP Advances in Information and Communication Technology (Vol. 525). (Best Paper)
\item Siqueira, R., Camarinha, D., Wen, M., Meirelles, P., Kon, F. (2018). Continuous delivery: Building trust in a large-scale, complex government organization. IEEE Software, 35(2). 
\item Meirelles, P., Wen, M., Terceiro, A., Siqueira, R., Kanashiro, L., Neri, H. (2017). Brazilian public software portal: An integrated platform for collaborative development. Proceedings of the 13th International Symposium on Open Collaboration, OpenSym 2017.
\end{enumerate}
\end{itemize}
\end{frame}

\begin{frame}{Publications}
\begin{itemize}
\item Manuscript submitted and under review
\begin{enumerate}
\item Wen, M., Meirelles, P., Camarinha, D., Siqueira, R., Lago, N., Terceiro, A., Kon, F. (2019). Leading Successful Government-Academia Collaboration Using FLOSS and Agile Values. Journal of Systems and Software. (Manuscript submitted and under review)
\end{enumerate}
\item Publication in another area
\begin{enumerate}
\item Wen, M., Rosa, T. de O., Souza, M. C., Aleixo, R. P., Alves, C., Sá, L., … Kon, F. (2018, July 26). Criação de Modelo para Simulação de Movimentação de Ônibus a Partir de Dados Reais. 1o Workshop Brasileiro de Cidades Inteligentes (WBCI 2018), Vol. 1. (Publication in another area)
\end{enumerate}
\end{itemize}

\end{frame}

\section{References}

\begin{frame}[allowframebreaks]{References}
  \nocite{Jensen2007, Steinmacher2015, Host2011}
  \printbibliography
\end{frame}

% Recapitulando
\begin{frame}{\insertshorttitle}
  \overview

  % \begin{center} acrescenta espaço vertical;
  % como possivelmente temos bem pouco espaço aqui,
  % vamos usar centering
  %{%
  %  \centering\noindent%
  %  \url{https://gitlab.com/link-of-your-repository}\par
  %}

\end{frame}

\showqrcode

\appendix

\begin{frame}{Participant Observation in Linux IIO subsystem}[Developing a thick description of the code contribution flow]
\begin{enumerate}
\item Send patch by email to listed maintainers, the code author(s) and subsystem mailing-list;
\begin{enumerate}
\item Active reviewers;
\item Active Maintainers;
\end{enumerate}
\item The path to the Linux main tree;
\end{enumerate}
\end{frame}

\begin{frame}{Key Papers Selection}

\begin{table}[]
\resizebox{\textwidth}{!}{\begin{tabular}{  m{14cm} m{7cm} m{4cm}  }
\hline
Title & Autor & Year \\ \hline
Open Source Technology Development & Kevin Crowston & 2015 \\ \hline
A systematic literature review on the barriers faced by newcomers to open source software projects & Steinmacher, I. Silva, M. Gerosa, M. and Redmiles, D. & 2015 \\ \hline
Peer Review on Open-Source Software Projects: Parameters, Statistical Models, and Theory & Rigby, P. and German, D. and Cowen, L. and Storey, M. & 2014 \\ \hline
A Systematic Review of Research on Open Source Software in Commercial Software Product Development & Host, M. and Oruvcevic-Alagic, A. & 2011 \\ \hline
Free and Open Source Software Development and Research: Opportunities for Software Engineering & Kon F. and Meirelles P. and Lago N. and Terceiro A. and Chavez C and Mendonca M. & 2011 \\ \hline
Free/Libre Open Source Software Development: What We Know and What We Do Not Know & Crowston, K. and Wei, K. and Howison, J. and Wiggins, A. & 2010 \\ \hline
Free/Open Source Software Development: Recent Research Results and Emerging Opportunities & Scacchi, W. & 2007 \\ \hline
Role Migration and Advancement Processes in OSSD Projects: A Comparative Case Study & Jensen, C. and Scacchi, W. & 2007 \\ \hline
A Critical Review of Software Engineering Research on Open Source Software Development & Østerlie T., Jaccheri L. & 2007 \\ \hline
The Transformation of Open Source Software & Fitzgerald, B. & 2006 \\ \hline
\end{tabular}}
\caption{List of publications considered in warm-up phase}
\label{tab:listpapers}
\end{table}

\end{frame}

\begin{frame}{Questions?}

  {%
    \centering\noindent%
    \textbf{Melissa Wen (wen@ime.usp.br)}
  }

\end{frame}
